_base_ = [
    '../_base_/models/ddrnet.py',
    '../_base_/datasets/publicdataset_autolaparo.py',
    '../_base_/default_runtime.py',
    '../_base_/schedules/schedule_300e_val1_check10.py',
]

norm_cfg = dict(
    type='BN',
)

crop_size = (512, 512)

data_preprocessor = dict(
    size=(512, 512),
    mean=[
        123.62464353460942,
        85.34836259209033,
        82.31539425671558,
    ],
    std=[
        47.172211618459315,
        47.08256715323592,
        48.135121265163605,
    ],
    bgr_to_rgb=False,
)

model = dict(
    data_preprocessor=dict(
        size=(512, 512),
        mean=[
            123.62464353460942,
            85.34836259209033,
            82.31539425671558,
        ],
        std=[
            47.172211618459315,
            47.08256715323592,
            48.135121265163605,
        ],
        bgr_to_rgb=False,
    ),
    backbone=dict(
        channels=32,
        init_cfg=dict(
            type='Pretrained',
            checkpoint='./My_Local_Model/open_mmlab/ddrnet23-s.pth',
        ),
    ),
    decode_head=dict(
        in_channels=128,
        channels=64,
        num_classes=10,
    ),
)

optim_wrapper = dict(
    type='OptimWrapper',
    _delete_=True,
    optimizer=dict(
        type='AdamW',
        lr=0.0001,
        weight_decay=0.0005,
    ),
    clip_grad=dict(
        max_norm=1,
        norm_type=2,
    ),
)

param_scheduler = [
    dict(
        type='LinearLR',
        start_factor=1e-06,
        by_epoch=True,
        begin=0,
        end=10,
    ),
    dict(
        type='PolyLR',
        power=0.9,
        begin=10,
        end=300,
        eta_min=1e-05,
        by_epoch=True,
    ),
]

